close all; clear all; clc;
load('c1p8.mat');

% The data set we have given you is comprised of a stimulus vector (named stim) and a binary vector (named rho). 
% These two vectors are the same length because they represent measurements of two different quantities over the same time period. 
% The binary vector has a 1 if a spike occurred in the time bin corresponding to the that index and a 0 otherwise. 
% The sampling rate for the data set was 500 Hz.

% How many milliseconds are there between adjacent samples (what is the sampling period)? Only enter the number, not the units. If your answer is not an integer, round to the nearest integer value.
sampling_period = ; % in ms

% We wish to compute the spike-triggered average for this neuron over a window of width 300 ms. 
% Suppose we do not care about the value exactly 300 ms before the spike. 
% How many elements (time steps) will be in our resulting spike-triggered average vector?
num_timesteps = 150;

% Write code to calculate the total number of spikes in the data set c1p8.mat. How many spikes were observed in this recording? 
% You should not count any spikes that occur before 300 ms from the beginning of the recording.
num_spikes = ;

% finish some code in the compute_sta
sta = compute_sta(stim, rho, num_timesteps);
    
   

time = -sampling_period*(num_timesteps-1):sampling_period:0; % in ms

figure(1);
plot(time, sta);
xlabel('Time (ms)');
ylabel('Stimulus');
title('Spike-Triggered Average');